# wxSVGFileDC Class Reference
[Device Contexts]

`#include <wx/dcsvg.h>`

Inheritance diagram for wxSVGFileDC:
[legend]

## Detailed Description

A wxSVGFileDC is a device context onto which graphics and text can be drawn, and the output produced as a vector file, in SVG format (see the W3C SVG Specifications <http://www.w3.org/TR/2001/REC-SVG-20010904/>).

This format can be read by a range of programs, including a Netscape plugin (Adobe), full details are given in the SVG Implementation and Resource Directory <http://www.svgi.org/>. Vector formats may often be smaller than raster formats.

The intention behind wxSVGFileDC is that it can be used to produce a file corresponding to the screen display context, wxSVGFileDC, by passing the wxSVGFileDC as a parameter instead of a wxSVGFileDC. Thus the wxSVGFileDC is a write-only class.

As the wxSVGFileDC is a vector format, raster operations like GetPixel() are unlikely to be supported. However, the SVG specification allows for PNG format raster files to be embedded in the SVG, and so bitmaps, icons and blit operations in wxSVGFileDC are supported.

A more substantial SVG library (for reading and writing) is available at the wxArt2D website <http://wxart2d.sourceforge.net/>.

##

Library: wxCore

Category: Device Contexts

## Public Member Functions
| wxSVGFileDC (const wxString &filename, int width=320, int height=240, double dpi=72)
| Initializes a wxSVGFileDC with the given f filename with the given Width and Height at dpi resolution.
virtual | ~wxSVGFileDC ()
| Destructor.
void | EndDoc ()
| Does nothing.
void | EndPage ()
| Does nothing.
void | Clear ()
| This makes no sense in wxSVGFileDC and does nothing.
void | SetLogicalFunction (wxRasterOperationMode function)
| Does the same as wxDC::SetLogicalFunction(), except that only wxCOPY is available.
void | CrossHair (wxCoord x, wxCoord y)
| Functions not implemented in this DC class.
void | DestroyClippingRegion ()
| Functions not implemented in this DC class.
bool | FloodFill (wxCoord x, wxCoord y, const wxColour &colour, wxFloodFillStyle style=wxFLOOD_SURFACE)
| Functions not implemented in this DC class.
void | GetClippingBox (wxCoord *x, wxCoord *y, wxCoord *width, wxCoord *height) const
| Functions not implemented in this DC class.
bool | GetPixel (wxCoord x, wxCoord y, wxColour *colour) const
| Functions not implemented in this DC class.
void | SetClippingRegion (wxCoord x, wxCoord y, wxCoord width, wxCoord height)
| Functions not implemented in this DC class.
void | SetClippingRegion (const wxPoint &pt, const wxSize &sz)
| Functions not implemented in this DC class.
void | SetClippingRegion (const wxRect &rect)
| Functions not implemented in this DC class.
void | SetClippingRegion (const wxRegion &region)
| Functions not implemented in this DC class.
void | SetPalette (const wxPalette &palette)
| Functions not implemented in this DC class.
bool | StartDoc (const wxString &message)
| Functions not implemented in this DC class.

List of all members.

## Constructor & Destructor Documentation

wxSVGFileDC::wxSVGFileDC | ( | const wxString & | filename,
|  | int | width = `320`,
|  | int | height = `240`,
|  | double | dpi = `72` |
| ) |  |  |

Initializes a wxSVGFileDC with the given f filename with the given Width and Height at dpi resolution.

virtual wxSVGFileDC::~wxSVGFileDC | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

void wxSVGFileDC::Clear | ( |  | ) |

This makes no sense in wxSVGFileDC and does nothing.

Reimplemented from wxDC.

void wxSVGFileDC::CrossHair | ( | wxCoord | x,
|  | wxCoord | y |
| ) |  |  |

Functions not implemented in this DC class.

Reimplemented from wxDC.

void wxSVGFileDC::DestroyClippingRegion | ( |  | ) |

Functions not implemented in this DC class.

Reimplemented from wxDC.

void wxSVGFileDC::EndDoc | ( |  | ) |

Does nothing.

Reimplemented from wxDC.

void wxSVGFileDC::EndPage | ( |  | ) |

Does nothing.

Reimplemented from wxDC.

bool wxSVGFileDC::FloodFill | ( | wxCoord | x,
|  | wxCoord | y,
|  | const wxColour & | colour,
|  | wxFloodFillStyle | style = `wxFLOOD_SURFACE` |
| ) |  |  |

Functions not implemented in this DC class.

Reimplemented from wxDC.

void wxSVGFileDC::GetClippingBox | ( | wxCoord * | x,
|  | wxCoord * | y,
|  | wxCoord * | width,
|  | wxCoord * | height |
| ) |  |  | const

Functions not implemented in this DC class.

Reimplemented from wxDC.

bool wxSVGFileDC::GetPixel | ( | wxCoord | x,
|  | wxCoord | y,
|  | wxColour * | colour |
| ) |  |  | const

Functions not implemented in this DC class.

Reimplemented from wxDC.

void wxSVGFileDC::SetClippingRegion | ( | const wxRegion & | region | ) |

Functions not implemented in this DC class.

void wxSVGFileDC::SetClippingRegion | ( | const wxRect & | rect | ) |

Functions not implemented in this DC class.

Reimplemented from wxDC.

void wxSVGFileDC::SetClippingRegion | ( | const wxPoint & | pt,
|  | const wxSize & | sz |
| ) |  |  |

Functions not implemented in this DC class.

Reimplemented from wxDC.

void wxSVGFileDC::SetClippingRegion | ( | wxCoord | x,
|  | wxCoord | y,
|  | wxCoord | width,
|  | wxCoord | height |
| ) |  |  |

Functions not implemented in this DC class.

Reimplemented from wxDC.

void wxSVGFileDC::SetLogicalFunction | ( | wxRasterOperationMode | function | ) |

Does the same as wxDC::SetLogicalFunction(), except that only wxCOPY is available.

Trying to set one of the other values will fail.

Reimplemented from wxDC.

void wxSVGFileDC::SetPalette | ( | const wxPalette & | palette | ) |

Functions not implemented in this DC class.

Reimplemented from wxDC.

bool wxSVGFileDC::StartDoc | ( | const wxString & | message | ) |

Functions not implemented in this DC class.

Reimplemented from wxDC.

|  | [ top ]